//-----------------------------------------------------------------------------
//  Copyright (C) 2014-2015 Thomas S. Ullrich
//
//  This file is part of "MineSweeper".
//
//  This file may be used under the terms of the GNU General Public License.
//  This project is free software; you can redistribute it and/or modify it
//  under the terms of the GNU General Public License.
//
//  Author: Thomas S. Ullrich
//  Last update: July 29, 2014
//-----------------------------------------------------------------------------
#ifndef msHighscoreEntry_h
#define msHighscoreEntry_h
 
#include <ctime>
#include <functional>
#include <QString>
#include "msSettings.h"

using namespace std;
 
class msHighscoreEntry
{
public:
    msHighscoreEntry();
    msHighscoreEntry(QString, time_t, time_t, msSettings::msGameSize, bool=false);
    ~msHighscoreEntry();
    
    QString name() const;
    QString dateOfGame() const;
    time_t  timeOfGame() const;
    time_t  durationOfGame() const;
    bool    isLast() const;
    void    setIsLast(bool);

    msSettings::msGameSize gameSize() const;

protected:
    time_t       mTime;
    time_t       mDurartion;
    QString      mPlayer;
    bool         mIsLast;
    
    msSettings::msGameSize mGameSize;
};

ostream& operator<<(ostream&, const msHighscoreEntry&);

class msHighscoreEntryCompare : public binary_function<msHighscoreEntry, msHighscoreEntry, bool>
{
public:
    bool operator()(msHighscoreEntry, msHighscoreEntry) const;
};


#endif
