//-----------------------------------------------------------------------------
//  Copyright (C) 2014-2016 Thomas S. Ullrich
//
//  This file is part of "MineSweeper".
//
//  This file may be used under the terms of the GNU General Public License.
//  This project is free software; you can redistribute it and/or modify it
//  under the terms of the GNU General Public License.
//
//  Author: Thomas S. Ullrich
//  Last update: May 3, 2016
//-----------------------------------------------------------------------------

#ifndef msOopsPixmap_h
#define msOopsPixmap_h

#include <QGraphicsPixmapItem>
#include <QObject>

class msOopsPixmap : public QObject, public QGraphicsPixmapItem
{
    Q_OBJECT
    Q_PROPERTY(qreal scale READ scale WRITE setScale)
    
public:
    void setScale(qreal s);
};

inline void msOopsPixmap::setScale(qreal s)
{
    QRectF rect = boundingRect();
    setTransformOriginPoint(rect.width()/2, rect.height()/2);
    QGraphicsPixmapItem::setScale(s);
    update();
}


#endif